Bug 240319 - Impress crash on undo (a11y enabled)
Summary: Impress crash on undo (a11y enabled)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-16 14:06 UTC by Michal Babej
Modified: 2013-07-31 23:11 UTC (History)
2 users (show)

Fixed In Version: 2.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 13:46:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openoffice report from crash (7.29 KB, text/plain)
2007-05-16 14:06 UTC, Michal Babej
no flags Details
gdb backtrace (11.44 KB, text/plain)
2007-05-16 14:06 UTC, Michal Babej
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 61812 None None None Never

Description Michal Babej 2007-05-16 14:06:09 UTC
Description of problem:
Impress crashes when trying undo on a presentation in outline mode.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.2.0-14.8
openoffice.org-impress-2.2.0-14.8

How reproducible:
always

Steps to Reproduce:
0. enable accessibility in gnome
1. open a presentation (with at least some text)
2. switch to outline mode
3. do >10 deletes (i tried deleting selections of 1-3 lines)
4. try to undo (crashes usually after <3 undos)

Actual results:
crash

Additional info:
see bt

Comment 1 Michal Babej 2007-05-16 14:06:09 UTC
Created attachment 154824 [details]
openoffice report from crash

Comment 2 Michal Babej 2007-05-16 14:06:53 UTC
Created attachment 154825 [details]
gdb backtrace

Comment 3 Caolan McNamara 2007-05-16 14:40:22 UTC
I believe this the unresolved
http://qa.openoffice.org/issues/show_bug.cgi?id=61812 a11y and bullet joining
problem

Comment 4 Caolan McNamara 2007-11-02 13:46:58 UTC
This should be fixed in 2.3.0


Note You need to log in before you can comment on or make changes to this bug.